<Type Name="CodeCompiler" FullName="System.CodeDom.Compiler.CodeCompiler">
  <TypeSignature Language="C#" Value="public abstract class CodeCompiler : System.CodeDom.Compiler.CodeGenerator, ICodeGenerator, ICodeCompiler" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.CodeDom.Compiler.CodeGenerator</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.CodeDom.Compiler.ICodeGenerator</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.CodeDom.Compiler.ICodeCompiler</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="JoinStringArray">
      <MemberSignature Language="C#" Value="protected static string JoinStringArray (string [] sa, string separator);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="sa" Type="System.String[]" />
		<Parameter Name="separator" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="sa">To be added: an object of type 'string []'</param>
        <param name="separator">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FromSourceBatch">
      <MemberSignature Language="C#" Value="protected virtual CompilerResults FromSourceBatch (CompilerParameters options, string [] sources);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CompilerResults</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="sources" Type="System.String[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="sources">To be added: an object of type 'string []'</param>
        <returns>To be added: an object of type 'CompilerResults'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetResponseFileCmdArgs">
      <MemberSignature Language="C#" Value="protected virtual string GetResponseFileCmdArgs (CompilerParameters options, string cmdArgs);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="cmdArgs" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="cmdArgs">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CmdArgsFromParameters">
      <MemberSignature Language="C#" Value="protected virtual string CmdArgsFromParameters (CompilerParameters options);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ProcessCompilerOutputLine">
      <MemberSignature Language="C#" Value="protected virtual void ProcessCompilerOutputLine (CompilerResults results, string line);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="results" Type="System.CodeDom.Compiler.CompilerResults" />
		<Parameter Name="line" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="results">To be added: an object of type 'CompilerResults'</param>
        <param name="line">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FromFileBatch">
      <MemberSignature Language="C#" Value="protected virtual CompilerResults FromFileBatch (CompilerParameters options, string [] fileNames);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CompilerResults</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="fileNames" Type="System.String[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="fileNames">To be added: an object of type 'string []'</param>
        <returns>To be added: an object of type 'CompilerResults'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FromDomBatch">
      <MemberSignature Language="C#" Value="protected virtual CompilerResults FromDomBatch (CompilerParameters options, CodeDom.CodeCompileUnit [] ea);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CompilerResults</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="ea" Type="System.CodeDom.CodeCompileUnit[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="ea">To be added: an object of type 'CodeDom.CodeCompileUnit []'</param>
        <returns>To be added: an object of type 'CompilerResults'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FromSource">
      <MemberSignature Language="C#" Value="protected virtual CompilerResults FromSource (CompilerParameters options, string source);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CompilerResults</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="source" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="source">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'CompilerResults'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FromFile">
      <MemberSignature Language="C#" Value="protected virtual CompilerResults FromFile (CompilerParameters options, string fileName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CompilerResults</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="fileName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="fileName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'CompilerResults'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FromDom">
      <MemberSignature Language="C#" Value="protected virtual CompilerResults FromDom (CompilerParameters options, CodeDom.CodeCompileUnit e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CompilerResults</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="options" Type="System.CodeDom.Compiler.CompilerParameters" />
		<Parameter Name="e" Type="System.CodeDom.CodeCompileUnit" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="options">To be added: an object of type 'CompilerParameters'</param>
        <param name="e">To be added: an object of type 'CodeDom.CodeCompileUnit'</param>
        <returns>To be added: an object of type 'CompilerResults'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected CodeCompiler ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeCompiler'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FileExtension">
      <MemberSignature Language="C#" Value="protected virtual string FileExtension { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CompilerName">
      <MemberSignature Language="C#" Value="protected virtual string CompilerName { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
